<?php
// www.bcoos.net 2006-09 1.0.2 GPL
include ('../../mainfile.php');
include ('cache/config.php');
include ('classes/class.pagenav.php');
include ('include/arcade_func.php');
if(isset($_GET['act']) && $_GET['act'] = 'Arcade')
{
        if(isset($_GET['do']) && $_GET['do'] = 'newscore')
        {
                submit_newscore();
                exit();
        }
}
switch($act)
{
        case 'play_game':
        {
                play_game($gid);
                break;
        }
        case 'show_stats':
        {
                show_gamestats($gid);
                break;
        }
        case 'show_cat':
        {
                show_category($cat_id);
                break;
        }
        default:
        {
                show_gamelist();
        }
}
?>